[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

The get-orig-source target as stated in Policy 4.9

I've been told that the policy for the get-orig-source target states that 
it "...fetches the most recent version of the original source package...". 
However, I've seen others using the get-orig-source target to regenerate the 
orig tarball for their packages at a particular version. I've been doing this 
as well. Some packages doing this are warsow, ogre, fretsonfire, bulletml, 
and warzone2100.

So my question is, when Policy states "the most recent version", is it "the 
most recent version _in Debian_" or "the most recent version _upstream_"?

Even if it doesn't mean "the most recent version _in Debian_", I think it's 
important to supply a target or some other implementation to generate an orig 
tarball for packages at a particular version where upstream doesn't supply a 
clear upstream source package. Packages in experimental and packages whose 
source comes from svn, git, etc. are examples of when some implementation 
should be supplied. Look at warzone2100 for an example.


Reply to: